"use strict";

exports.__esModule = true;
exports.default = void 0;

/**
 * @license
 * Copyright (c) 2020 Handsoncode. All rights reserved.
 */
// import
var dictionary = {
  errors: {
    CYCLE: '#CYCLE!',
    DIV_BY_ZERO: '#DIV/0!',
    ERROR: '#ERROR!',
    NA: '#N/D',
    NAME: '#NOME?',
    NUM: '#NUM!',
    REF: '#RIF!',
    VALUE: '#VALORE!'
  },
  functions: {
    ABS: 'ASS',
    ACOS: 'ARCCOS',
    ACOSH: 'ARCCOSH',
    ACOT: 'ARCCOT',
    ACOTH: 'ARCCOTH',
    AND: 'E',
    ASIN: 'ARCSEN',
    ASINH: 'ARCSENH',
    ATAN2: 'ARCTAN.2',
    ATAN: 'ARCTAN',
    ATANH: 'ARCTANH',
    AVERAGE: 'MEDIA',
    AVERAGEA: 'MEDIA.VALORI',
    AVERAGEIF: 'MEDIA.SE',
    BASE: 'BASE',
    BIN2DEC: 'BINARIO.DECIMALE',
    BIN2HEX: 'BINARIO.HEX',
    BIN2OCT: 'BINARIO.OCT',
    BITAND: 'BITAND',
    BITLSHIFT: 'BIT.SPOSTA.SX',
    BITOR: 'BITOR',
    BITRSHIFT: 'BIT.SPOSTA.DX',
    BITXOR: 'BITXOR',
    CEILING: 'ARROTONDA.ECCESSO',
    CHAR: 'CODICE.CARATT',
    CHOOSE: 'SCEGLI',
    CLEAN: 'LIBERA',
    CODE: 'CODICE',
    COLUMNS: 'COLONNE',
    CONCATENATE: 'CONCATENA',
    CORREL: 'CORRELAZIONE',
    COS: 'COS',
    COSH: 'COSH',
    COT: 'COT',
    COTH: 'COTH',
    COUNT: 'CONTA.NUMERI',
    COUNTA: 'CONTA.VALORI',
    COUNTBLANK: 'CONTA.VUOTE',
    COUNTIF: 'CONTA.SE',
    COUNTIFS: 'CONTA.PIÙ.SE',
    COUNTUNIQUE: 'COUNTUNIQUE',
    CSC: 'CSC',
    CSCH: 'CSCH',
    CUMIPMT: 'INT.CUMUL',
    CUMPRINC: 'CAP.CUM',
    DATE: 'DATA',
    DATEDIF: 'DATEDIF',
    DATEVALUE: 'DATA.VALORE',
    DAY: 'GIORNO',
    DAYS360: 'GIORNO360',
    DAYS: 'GIORNI',
    DB: 'AMMORT.FISSO',
    DDB: 'AMMORT',
    DEC2BIN: 'DECIMALE.BINARIO',
    DEC2HEX: 'DECIMALE.HEX',
    DEC2OCT: 'DECIMALE.OCT',
    DECIMAL: 'DECIMALE',
    DEGREES: 'GRADI',
    DELTA: 'DELTA',
    DOLLARDE: 'VALUTA.DEC',
    DOLLARFR: 'VALUTA.FRAZ',
    EDATE: 'DATA.MESE',
    EFFECT: "EFFETTIVO",
    EOMONTH: 'FINE.MESE',
    ERF: 'FUNZ.ERRORE',
    ERFC: 'FUNZ.ERRORE.COMP',
    EVEN: 'PARI',
    EXP: 'EXP',
    FALSE: 'FALSO',
    FIND: 'TROVA',
    FORMULATEXT: 'TESTO.FORMULA',
    FV: 'VAL.FUT',
    HEX2BIN: 'HEX.BINARIO',
    HEX2DEC: 'HEX.DECIMALE',
    HEX2OCT: 'HEX.OCT',
    HOUR: 'ORA',
    IF: 'SE',
    IFERROR: 'SE.ERRORE',
    IFNA: 'SE.NON.DISP.',
    INDEX: 'INDICE',
    INT: 'INT',
    IPMT: 'INTERESSI',
    ISBINARY: 'ISBINARY',
    ISBLANK: 'VAL.VUOTO',
    ISERR: 'VAL.ERR',
    ISERROR: 'VAL.ERRORE',
    ISEVEN: 'VAL.PARI',
    ISFORMULA: 'VAL.FORMULA',
    ISLOGICAL: 'VAL.LOGICO',
    ISNA: 'VAL.NON.DISP',
    ISNONTEXT: 'VAL.NON.TESTO',
    ISNUMBER: 'VAL.NUMERO',
    ISODD: 'VAL.DISPARI',
    ISOWEEKNUM: 'NUM.SETTIMANA.ISO',
    ISPMT: 'INTERESSE.RATA',
    ISREF: 'VAL.RIF',
    ISTEXT: 'VAL.TESTO',
    LEFT: 'SINISTRA',
    LEN: 'LUNGHEZZA',
    LN: 'LN',
    LOG10: 'LOG10',
    LOG: 'LOG',
    MATCH: 'CONFRONTA',
    MAX: 'MAX',
    MAXA: 'MAX.VALORI',
    MAXPOOL: 'MAXPOOL',
    MEDIAN: 'MEDIANA',
    MEDIANPOOL: 'MEDIANPOOL',
    MIN: 'MIN',
    MINA: 'MIN.VALORI',
    MINUTE: 'MINUTO',
    MMULT: 'MATR.PRODOTTO',
    MOD: 'RESTO',
    MONTH: 'MESE',
    NA: 'NON.DISP',
    NOMINAL: 'NOMINALE',
    NOT: 'NON',
    NOW: 'ADESSO',
    NPER: 'NUM.RATE',
    OCT2BIN: 'OCT.BINARIO',
    OCT2DEC: 'OCT.DECIMALE',
    OCT2HEX: 'OCT.HEX',
    ODD: 'DISPARI',
    OFFSET: 'SCARTO',
    OR: 'O',
    PI: 'PI.GRECO',
    PMT: 'RATA',
    POWER: 'POTENZA',
    PPMT: 'P.RATA',
    PROPER: 'MAIUSC.INIZ',
    PV: 'VA',
    RADIANS: 'RADIANTI',
    RAND: 'CASUALE',
    RATE: 'TASSO',
    REPT: 'RIPETI',
    RIGHT: 'DESTRA',
    ROUND: 'ARROTONDA',
    ROUNDDOWN: 'ARROTONDA.PER.DIF',
    ROUNDUP: 'ARROTONDA.PER.ECC',
    ROWS: 'RIGHE',
    RRI: 'RIT.INVEST.EFFETT',
    SEARCH: 'RICERCA',
    SEC: 'SEC',
    SECH: 'SECH',
    SECOND: 'SECONDO',
    SHEET: 'FOGLIO',
    SHEETS: 'FOGLI',
    SIN: 'SEN',
    SINH: 'SENH',
    SLN: 'AMMORT.COST',
    SPLIT: 'SPLIT',
    SQRT: 'RADQ',
    SUM: 'SOMMA',
    SUMIF: 'SOMMA.SE',
    SUMIFS: 'SOMMA.PIÙ.SE',
    SUMPRODUCT: 'MATR.SOMMA.PRODOTTO',
    SUMSQ: 'SOMMA.Q',
    SWITCH: '',
    SYD: 'AMMORT.ANNUO',
    TAN: 'TAN',
    TANH: 'TANH',
    TBILLEQ: 'BOT.EQUIV',
    TBILLPRICE: 'BOT.PREZZO',
    TBILLYIELD: 'BOT.REND',
    TEXT: 'TESTO',
    TIME: 'ORARIO',
    TIMEVALUE: 'ORARIO.VALORE',
    TODAY: 'OGGI',
    TRANSPOSE: 'MATR.TRASPOSTA',
    TRIM: 'ANNULLA.SPAZI',
    TRUE: 'VERO',
    TRUNC: 'TRONCA',
    VLOOKUP: 'CERCA.VERT',
    WEEKDAY: 'GIORNO.SETTIMANA',
    WEEKNUM: 'NUM.SETTIMANA',
    XOR: 'XOR',
    YEAR: 'ANNO',
    YEARFRAC: 'FRAZIONE.ANNO'
  },
  langCode: 'itIT',
  ui: {
    NEW_SHEET_PREFIX: 'Sheet'
  }
};
var _default = dictionary;
exports.default = _default;