/**
 * @license
 * Copyright (c) 2020 Handsoncode. All rights reserved.
 */
// import
var dictionary = {
  errors: {
    CYCLE: '#CYCLE!',
    DIV_BY_ZERO: '#ДЕЛ/0!',
    ERROR: '#ERROR!',
    NA: '#Н/Д',
    NAME: '#ИМЯ?',
    NUM: '#ЧИСЛО!',
    REF: '#ССЫЛКА!',
    VALUE: '#ЗНАЧ!'
  },
  functions: {
    ABS: 'ABS',
    ACOS: 'ACOS',
    ACOSH: 'ACOSH',
    ACOT: 'ACOT',
    ACOTH: 'ACOTH',
    AND: 'И',
    ASIN: 'ASIN',
    ASINH: 'ASINH',
    ATAN2: 'ATAN2',
    ATAN: 'ATAN',
    ATANH: 'ATANH',
    AVERAGE: 'СРЗНАЧ',
    AVERAGEA: 'СРЗНАЧА',
    AVERAGEIF: 'СРЗНАЧЕСЛИ',
    BASE: 'ОСНОВАНИЕ',
    BIN2DEC: 'ДВ.В.ДЕС',
    BIN2HEX: 'ДВ.В.ШЕСТН',
    BIN2OCT: 'ДВ.В.ВОСЬМ',
    BITAND: 'БИТ.И',
    BITLSHIFT: 'БИТ.СДВИГЛ',
    BITOR: 'БИТ.ИЛИ',
    BITRSHIFT: 'БИТ.СДВИГП',
    BITXOR: 'БИТ.ИСКЛИЛИ',
    CEILING: 'ОКРВВЕРХ',
    CHAR: 'СИМВОЛ',
    CHOOSE: 'ВЫБОР',
    CLEAN: 'ПЕЧСИМВ',
    CODE: 'КОДСИМВ',
    COLUMNS: 'ЧИСЛСТОЛБ',
    CONCATENATE: 'СЦЕПИТЬ',
    CORREL: 'КОРРЕЛ',
    COS: 'COS',
    COSH: 'COSH',
    COT: 'COT',
    COTH: 'COTH',
    COUNT: 'СЧЁТ',
    COUNTA: 'СЧЁТЗ',
    COUNTBLANK: 'СЧИТАТЬПУСТОТЫ',
    COUNTIF: 'СЧЁТЕСЛИ',
    COUNTIFS: 'СЧЁТЕСЛИМН',
    COUNTUNIQUE: 'COUNTUNIQUE',
    CSC: 'CSC',
    CSCH: 'CSCH',
    CUMIPMT: 'ОБЩПЛАТ',
    CUMPRINC: 'ОБЩДОХОД',
    DATE: 'ДАТА',
    DATEDIF: 'DATEDIF',
    DATEVALUE: 'ДАТАЗНАЧ',
    DAY: 'ДЕНЬ',
    DAYS360: 'ДНЕЙ360',
    DAYS: 'ДНИ',
    DB: 'ФУО',
    DDB: 'ДДОБ',
    DEC2BIN: 'ДЕС.В.ДВ',
    DEC2HEX: 'ДЕС.В.ШЕСТН',
    DEC2OCT: 'ДЕС.В.ВОСЬМ',
    DECIMAL: 'ДЕС',
    DEGREES: 'ГРАДУСЫ',
    DELTA: 'ДЕЛЬТА',
    DOLLARDE: 'РУБЛЬ.ДЕС',
    DOLLARFR: 'РУБЛЬ.ДРОБЬ',
    EDATE: 'ДАТАМЕС',
    EFFECT: "ЭФФЕКТ",
    EOMONTH: 'КОНМЕСЯЦА',
    ERF: 'ФОШ',
    ERFC: 'ДФОШ',
    EVEN: 'ЧЁТН',
    EXP: 'EXP',
    FALSE: 'ЛОЖЬ',
    FIND: 'НАЙТИ',
    FORMULATEXT: 'Ф.ТЕКСТ',
    FV: 'БС',
    HEX2BIN: 'ШЕСТН.В.ДВ',
    HEX2DEC: 'ШЕСТН.В.ДЕС',
    HEX2OCT: 'ШЕСТН.В.ВОСЬМ',
    HOUR: 'ЧАС',
    IF: 'ЕСЛИ',
    IFERROR: 'ЕСЛИОШИБКА',
    IFNA: 'ЕСНД',
    INDEX: 'ИНДЕКС',
    INT: 'ЦЕЛОЕ',
    IPMT: 'ПРПЛТ',
    ISBINARY: 'ISBINARY',
    ISBLANK: 'ЕПУСТО',
    ISERR: 'ЕОШ',
    ISERROR: 'ЕОШИБКА',
    ISEVEN: 'ЕЧЁТН',
    ISFORMULA: 'ЕФОРМУЛА',
    ISLOGICAL: 'ЕЛОГИЧ',
    ISNA: 'ЕНД',
    ISNONTEXT: 'ЕНЕТЕКСТ',
    ISNUMBER: 'ЕЧИСЛО',
    ISODD: 'ЕНЕЧЁТ',
    ISOWEEKNUM: 'НОМНЕДЕЛИ.ISO',
    ISPMT: 'ПРОЦПЛАТ',
    ISREF: 'ЕССЫЛКА',
    ISTEXT: 'ЕТЕКСТ',
    LEFT: 'ЛЕВСИМВ',
    LEN: 'ДЛСТР',
    LN: 'LN',
    LOG10: 'LOG10',
    LOG: 'LOG',
    MATCH: 'ПОИСКПОЗ',
    MAX: 'МАКС',
    MAXA: 'МАКСА',
    MAXPOOL: 'MAXPOOL',
    MEDIAN: 'МЕДИАНА',
    MEDIANPOOL: 'MEDIANPOOL',
    MIN: 'МИН',
    MINA: 'МИНА',
    MINUTE: 'МИНУТЫ',
    MMULT: 'МУМНОЖ',
    MOD: 'ОСТАТ',
    MONTH: 'МЕСЯЦ',
    NA: 'НД',
    NOMINAL: 'НОМИНАЛ',
    NOT: 'НЕ',
    NOW: 'ТДАТА',
    NPER: 'КПЕР',
    OCT2BIN: 'ВОСЬМ.В.ДВ',
    OCT2DEC: 'ВОСЬМ.В.ДЕС',
    OCT2HEX: 'ВОСЬМ.В.ШЕСТН',
    ODD: 'НЕЧЁТ',
    OFFSET: 'СМЕЩ',
    OR: 'ИЛИ',
    PI: 'ПИ',
    PMT: 'ПЛТ',
    POWER: 'СТЕПЕНЬ',
    PPMT: 'ОСПЛТ',
    PROPER: 'ПРОПНАЧ',
    PV: 'ПС',
    RADIANS: 'РАДИАНЫ',
    RAND: 'СЛЧИС',
    RATE: 'СТАВКА',
    REPT: 'ПОВТОР',
    RIGHT: 'ПРАВСИМВ',
    ROUND: 'ОКРУГЛ',
    ROUNDDOWN: 'ОКРУГЛВНИЗ',
    ROUNDUP: 'ОКРУГЛВВЕРХ',
    ROWS: 'ЧСТРОК',
    RRI: 'ЭКВ.СТАВКА',
    SEARCH: 'ПОИСК',
    SEC: 'SEC',
    SECH: 'SECH',
    SECOND: 'СЕКУНДЫ',
    SHEET: 'ЛИСТ',
    SHEETS: 'ЛИСТЫ',
    SIN: 'SIN',
    SINH: 'SINH',
    SLN: 'АПЛ',
    SPLIT: 'SPLIT',
    SQRT: 'КОРЕНЬ',
    SUM: 'СУММ',
    SUMIF: 'СУММЕСЛИ',
    SUMIFS: 'СУММЕСЛИМН',
    SUMPRODUCT: 'СУММПРОИЗВ',
    SUMSQ: 'СУММКВ',
    SWITCH: '',
    SYD: 'АСЧ',
    TAN: 'TAN',
    TANH: 'TANH',
    TBILLEQ: 'РАВНОКЧЕК',
    TBILLPRICE: 'ЦЕНАКЧЕК',
    TBILLYIELD: 'ДОХОДКЧЕК',
    TEXT: 'ТЕКСТ',
    TIME: 'ВРЕМЯ',
    TIMEVALUE: 'ВРЕМЗНАЧ',
    TODAY: 'СЕГОДНЯ',
    TRANSPOSE: 'ТРАНСП',
    TRIM: 'СЖПРОБЕЛЫ',
    TRUE: 'ИСТИНА',
    TRUNC: 'ОТБР',
    VLOOKUP: 'ВПР',
    WEEKDAY: 'ДЕНЬНЕД',
    WEEKNUM: 'НОМНЕДЕЛИ',
    XOR: 'ИСКЛИЛИ',
    YEAR: 'ГОД',
    YEARFRAC: 'ДОЛЯГОДА'
  },
  langCode: 'ruRU',
  ui: {
    NEW_SHEET_PREFIX: 'Sheet'
  }
};
export default dictionary;